use rhai::{self, EvalAltResult};

fn main() -> Result<(), Box<EvalAltResult>> {
  let engine = rhai::Engine::new();

  let script = r#"
    (40 / 2);
  "#;

  let result = engine.eval::<i64>(script)?;

  println!("Answer: {result}");
  Ok(())
}
